[FZH] 回复: 无法安装VirtualBox-guest

Robin Lee robinlee.sysu at gmail.com
Tue Aug 25 05:34:03 UTC 2015


 也可以尝试一下 --allowerasing 选项:

$ sudo dnf install --allowerasing VirtualBox-guest
Last metadata expiration check performed 0:52:29 ago on Tue Aug 25 12:40:19
2015.
Dependencies resolved.
=======================================================================================================================

Package                      Arch               Version
                     Repository                          Size
=======================================================================================================================

Installing:
VirtualBox-guest             x86_64             4.3.30-1.fc22
               rpmfusion-free-updates             1.5 M
Removing:
VirtualBox                   x86_64             4.3.30-1.fc22
               @System                             56 M

Transaction Summary
=======================================================================================================================

Install  1 Package
Remove   1 Package

Total download size: 1.5 M
Is this ok [y/N]:

On Tue, Aug 25, 2015 at 1:29 PM, Robin Lee <robinlee.sysu在gmail.com> wrote:

> 看来要先把 VirtualBox 和
> kmod-VirtualBox-4.1.5-200.fc22.x86_64-4.3.30-1.fc22.x86_64 删除。VirtualBox 和
> VirtualBox-guest 不能共存。用 yum 就很直观可以看到,dnf 现在的提示还不太成熟。
>
> $ sudo yum-deprecated install VirtualBox-guest
> Yum command has been deprecated, use dnf instead.
> See 'man dnf' and 'man yum2dnf' for more information.
>
> .......................
> Resolving Dependencies
> --> Running transaction check
> ---> Package VirtualBox-guest.x86_64 0:4.3.30-1.fc22 will be installed
> --> Processing Conflict: VirtualBox-4.3.30-1.fc22.x86_64 conflicts
> VirtualBox-guest <= 4.3.30-1.fc22
> --> Processing Conflict: VirtualBox-guest-4.3.30-1.fc22.x86_64 conflicts
> VirtualBox <= 4.3.30-1.fc22
> --> Finished Dependency Resolution
> Error: VirtualBox-guest conflicts with VirtualBox-4.3.30-1.fc22.x86_64
> Error: VirtualBox conflicts with VirtualBox-guest-4.3.30-1.fc22.x86_64
> You could try using --skip-broken to work around the problem
> You could try running: rpm -Va --nofiles --nodigest
>
>
> On Tue, Aug 25, 2015 at 12:55 PM, 苌蓊芪 <wankeycheng在qq.com> wrote:
>
>> [root在localhost]# rpm -qa \*kmod\*
>> kmod-libs-21-1.fc22.x86_64
>> kmodtool-1-23.fc22.noarch
>> kmod-VirtualBox-4.1.5-200.fc22.x86_64-4.3.30-1.fc22.x86_64
>> akmod-VirtualBox-4.3.30-1.fc22.x86_64
>> kmod-21-1.fc22.x86_64
>> VirtualBox-kmodsrc-4.3.30-1.fc22.x86_64
>> akmods-0.5.4-1.fc22.noarch
>>
>> [root在localhost ]# rpm -qa kernel\*
>> kernel-modules-4.1.5-200.fc22.x86_64
>> kernel-core-4.0.4-301.fc22.x86_64
>> kernel-headers-4.1.5-200.fc22.x86_64
>> kernel-devel-4.1.5-200.fc22.x86_64
>> kernel-modules-4.0.4-301.fc22.x86_64
>> kernel-modules-4.1.3-201.fc22.x86_64
>> kernel-4.1.3-201.fc22.x86_64
>> kernel-modules-extra-4.1.3-201.fc22.x86_64
>> kernel-modules-extra-4.0.4-301.fc22.x86_64
>> kernel-core-4.1.5-200.fc22.x86_64
>> kernel-modules-extra-4.1.5-200.fc22.x86_64
>> kernel-core-4.1.3-201.fc22.x86_64
>> kernel-4.0.4-301.fc22.x86_64
>> kernel-4.1.5-200.fc22.x86_64
>>
>> [root在localhost chengwangqi]# rpm -qa \*Virtualbox\*
>>
>> [root在localhost chengwangqi]# akmods
>> Checking kmods exist for 4.1.5-200.fc22.x86_64             [  确定  ]
>>
>> [root在localhost chengwangqi]#  dnf install VirtualBox-guest
>> Last metadata expiration check performed 0:36:50 ago on Tue Aug 25
>> 12:17:29 20
>> 15.
>> 错误:package kmod-VirtualBox-4.1.5-200.fc22.x86_64-4.3.30-1.fc22.x86_64
>> requi
>> res VirtualBox-kmod-common >= 4.3.30, but none of the providers can be
>> install
>> ed
>> (try to add '--allowerasing' to command line to replace conflicting
>> packages)
>>
>> [root在localhost chengwangqi]# dnf install VirtualBox-kmod-common
>> Last metadata expiration check performed 0:36:58 ago on Tue Aug 25
>> 12:17:29 20
>> 15.
>> 软件包 VirtualBox-4.3.30-1.fc22.x86_64 已安装,跳过
>> 依赖关系解决。
>> 无需任何处理。
>>
>>
>>
>>
>>
>> ------------------ Original ------------------
>> From:  "Robin Lee";<robinlee.sysu在gmail.com>;
>> Date:  Tue, Aug 25, 2015 12:48 PM
>> To:  "Fedora Chinese"<chinese在lists.fedoraproject.org>;
>>
>> Subject:  Re: [FZH]回复: 无法安装VirtualBox-guest
>>
>>
>>
>> rpm -qa \*kmod\*
>> rpm -qa kernel\*
>> rpm -qa \*Virtualbox\*
>> 看看
>> 或者运行一下 akmods,再 dnf install VirtualBox-guest
>>
>> 2015-08-25 11:48 GMT+08:00 苌蓊芪 <wankeycheng在qq.com>:
>>
>> > dnf clean all 之后,依旧,好奇怪?是源的问题吗?我用的是阿里云的源
>> >
>> >
>> > ------------------ Original ------------------
>> > From:  "Christopher Meng";<i在cicku.me>;
>> > Date:  Tue, Aug 25, 2015 10:18 AM
>> > To:  "Fedora Chinese"<chinese在lists.fedoraproject.org>;
>> >
>> > Subject:  Re: [FZH]回复: 无法安装VirtualBox-guest
>> >
>> >
>> >
>> > 不应该出现
>> >
>> > kmod-VirtualBox-4.1.5-200.fc22.x86_64-4.3.30-1.fc22.x86_64
>> >
>> > 因为这个包根本就不在[1]。
>> >
>> > 你检查一下缓存吧,最好 dnf clean 一下。
>> >
>> > [1]---http://pkgs.org/search/kmod-VirtualBox
>> >
>> > --
>> >
>> > Yours sincerely,
>> > Christopher Meng
>> >
>> > http://awk.io
>> > --
>> > Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>> > --
>> > Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>> >
>> --
>> Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>> --
>> Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>>
>
>


More information about the Chinese mailing list